Bug 36237 - Nedit uses tmpnam for temp files
Summary: Nedit uses tmpnam for temp files
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: nedit (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-17 10:52 UTC by Jarno Huuskonen
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-17 10:52:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jarno Huuskonen 2001-04-17 10:52:45 UTC
Nedit uses tmpnam for creating temporary filenames. The file is then
opened with fopen --> tmprace

OpenBSD seems to have a patch for this (replace tmpnam/fopen with
mkstemp/fdopen)

Also I found this little info about from nedit mailinglist archive:
http://www.nedit.org/archives/develop/2001-Feb/0391.html

(Short summary: nedit's incremental save and backup files (.bck) are
created in cwd and nedit follows symlinks.)

Comment 1 Bernhard Rosenkraenzer 2001-05-08 12:39:35 UTC
Errata released.



Note You need to log in before you can comment on or make changes to this bug.